/***************************************************************************
 *   Copyright (C) 2008 by Daniel Calviño Sánchez                          *
 *   danxuliu@gmail.com                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; If not, see <http://www.gnu.org/licenses/>.  *
 ***************************************************************************/

#ifndef TUTORIALMOVETEXT_H
#define TUTORIALMOVETEXT_H

#include "Tutorial.h"

class KTextEdit;

class TutorialMoveText: public Tutorial {
Q_OBJECT
public:

    TutorialMoveText();

    bool eventFilter(QObject* object, QEvent* event);

public slots:

    void startKeyboardMove();

    void startMouseMove();

    void write();

    void select();

    void keyboardCut();

    void keyboardMoveCursor();

    void keyboardPaste();

    void mousePress();

    void mouseRelease();

    void showOtherWay();

    void end();

signals:

    void mousePressed();

    void mouseReleased();

protected:

    void setup();

private:

    bool mSecondPath;

    bool mMousePathSelected;

    KTextEdit* mTextArea;

};

#endif
